{ pkgs ? import <nixpkgs> {} }:
pkgs.mkShell {
  name = "afrapay";
  packages = with pkgs; [
    dotnet-sdk_7
    pcsclite

    # ESP32 tooling (for MateCard)
    platformio
  ];

  # AfRApay.FTM tries to dlopen the pcsclite library at runtime.
  LD_LIBRARY_PATH = [ "${pkgs.pcsclite.out}/lib" ];
}
